%define upstream_name    Pod-Weaver-Plugin-StopWords
%define upstream_version 1.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dynamically add stopwords to your woven pod
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(PPI)
BuildRequires: perl(Pod::Elemental) >= 0.102.360
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Weaver) >= 3.101.632
BuildRequires: perl(Pod::Weaver::Role::Finalizer)
BuildRequires: perl(Software::License::Perl_5)
BuildRequires: perl(Test::Differences) >= 0.500.0
BuildRequires: perl(Test::MockObject) >= 1.90.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This is a simple document meant to be used in testing Pod::Weaver.

It does not do very much.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 19 2011 jquelin <jquelin> 1.3.0-1.mga1
+ Revision: 88545
- update to 1.003

* Wed Mar 16 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 72504
- update buildrequires:
- imported package perl-Pod-Weaver-Plugin-StopWords


* Wed Mar 16 2011 cpan2dist 1.002-1mga
- initial mageia release, generated with cpan2dist
